const receiptPrinting = (data) => {
  let params = {
    "printList": [{
        "text": "访客单",
        "textSize": 38,
        "bold": true,
        "algin": "center"
      }, {
        "text": " ",
        "textSize": 35,
        "bold": false,
        "algin": "center"
      }, {
        "text": "欢迎光临",
        "textSize": 25,
        "bold": false,
        "algin": "center"
      }, {
        "text": "当日有效，离开时请交还门卫",
        "textSize": 25,
        "bold": false,
        "algin": "center"
      }, {
        "text": "来访时间：" + data.visitingTime,
        "textSize": 25,
        "bold": true,
        "algin": "center"
      }, {
        "text": "--------------------------------------",
        "textSize": 15,
        "bold": false,
        "algin": "center"
      }, {
        "text": " ",
        "textSize": 25,
        "bold": false,
        "algin": "left"
      }, {
        "text": "姓    名：" + (data.visitorName ? data.visitorName : ''),
        "textSize": 22,
        "bold": true,
        "algin": "left"
      }, {
        "text": "事    由：" + (data.causeMatterName ? data.causeMatterName : ''),
        "textSize": 22,
        "bold": true,
        "algin": "left"
      }, {
        "text": "电    话：" + (data.visitorPhone ? data.visitorPhone : ''),
        "textSize": 22,
        "bold": false,
        "algin": "left"
      }, {
        "text": "单    位：" + (data.visitorUnit ? data.visitorUnit : ''),
        "textSize": 22,
        "bold": false,
        "algin": "left"
      }, {
        "text": "车牌号：  " + (data.carnum ? data.carnum : ''),
        "textSize": 22,
        "bold": false,
        "algin": "left"
      }, {
        "text": "人    数：" + (data.peopleNum ? data.peopleNum : ''),
        "textSize": 22,
        "bold": false,
        "algin": "left"
      }, {
        "text": " ",
        "textSize": 25,
        "bold": false,
        "algin": "left"
      }, {
        "text": "【 受访人 】",
        "textSize": 22,
        "bold": true,
        "algin": "left"
      }, {
        "text": "楼    层：" + (data.floor ? (data.floor + '楼') : ''),
        "textSize": 22,
        "bold": true,
        "algin": "left"
      }, {
        "text": "房间号：  " + (data.room ? data.room : ''),
        "textSize": 22,
        "bold": true,
        "algin": "left"
      }, {
        "text": "姓    名：" + (data.name ? data.name : ''),
        "textSize": 22,
        "bold": false,
        "algin": "left"
      }, {
        "text": "电    话：" + (data.phone ? data.phone : ''),
        "textSize": 22,
        "bold": false,
        "algin": "left"
      }, {
        "text": "--------------------------------------",
        "textSize": 15,
        "bold": false,
        "algin": "center"
      },
    ]
  }

  return params
}
module.exports = {
  receiptPrinting
}